<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SARS-CoV-2 Mutations</title>
  <link rel="icon" type="image/png" href="favicon-32x32.png"/>
  <link href="//fonts.googleapis.com/css?family=Roboto:400|Saira+Semi+Condensed:500" rel="stylesheet" type="text/css">
  <style>
    * {
      box-sizing: border-box;
      margin: 0;
      padding: 0;
      font-family: Roboto,Helvetica,Arial,sans-serif;
      font-weight: 400;
      font-size: 16px;
    }
    .content {
      max-width: 1000px;
      padding: 20px 20px;
      margin: 0 auto;
    }
    a {
      color: #673c90;
      text-decoration: underline;
    }
    h1 {
      font-size: 3rem;
      margin-top: 0.3em;
    }
    h2 {
      font-size: 1.5rem;
      margin-top: 3em;
    }
    h3 {
      font-size: 1.2rem;
    }
    h1, h2, h3, h1 a, h2 a, h3 a {
      font-family: Saira Semi Condensed,Helvetica,Arial,sans-serif;
      font-weight: 500;
      color: rgba(0,0,0,.54);
      text-decoration: none;
    }
    p, ul {
      margin-top: 0.7rem;
    }
    .field::after {
      content: ':';
    }
    ul {
      margin-left: 20px;
    }
    .mutation-container {
      display: grid;
      grid-template-columns: 1fr 1fr 1fr 1fr;
      margin-left: -10px;
    }
    .mutation {
      display: block;
      float: left;
      padding: 10px;
    }
    .mutation:target {
      border: 1px solid rgb(230, 236, 241);
      box-shadow: rgba(116, 129, 141, 0.1) 0px 3px 8px 0px;
    }
    header {
      background: #673c90;
      height: 10px;
    }

    /* Medium devices (landscape tablets, 768px and up) */
    @media only screen and (max-width: 800px) {
      .mutation-container {
        grid-template-columns: 1fr 1fr 1fr;
      }
    }

    /* Extra small devices (phones, 600px and down) */
    @media only screen and (max-width: 600px) {
      .mutation-container {
        grid-template-columns: 1fr 1fr;
      }
      h1 {
        font-size: 2rem;
      }
      h2 {
        margin-top: 1em;
      }
    }

    

  </style>
</head>
<body>
  <header></header>
  <div class="content">
    <h1>Known SARS-CoV-2 Mutations</h1>
    <p>
      This file lists references for known SARS-CoV-2 mutations.
      You can test for these mutations using <a href="http://pathogen.watch" target="_blank">Pathogenwatch</a>.  
    </p>
    <p>
      You can find the <a href="https://gitlab.com/cgps/cog-uk/type_variants">source code on Gitlab</a> where you can <a href="https://gitlab.com/cgps/cog-uk/type_variants/-/blob/master/mutations.csv">add additional mutations</a> or citations.
      We update Pathogenwatch periodically so everyone can start looking for important mutations in their own sequences.
    </p>
    <p>
      The <a href="https://github.com/cov-ert/type_variants">variant typing software</a> was originally created by <a href="https://github.com/benjamincjackson">Ben Jackson</a>.
    </p>
    <p>
      Additional mutations come from:
    </p>
    <ul>
      <li><a href="https://www.cogconsortium.uk/">The COVID-19 Genomics UK Consortium</a></li>
      <li><a href="https://github.com/hodcroftlab/covariants">CoVariants</a> by <a href="https://github.com/emmahodcroft">Emma Hodcroft</a></li>
    </ul>
    
    {% for mutation_type, mutations in groups.items() -%}
    <h2>{{ mutation_type }} Mutations</h2>

    <div class="mutation-container">
      {% for mutation in mutations %}
      <div class="mutation" id="{{ mutation.name }}">
        <h3><a href="#{{ mutation.name }}">{{ mutation.name }}</a></h3>
        <table>
          {% for row in mutation.rows -%}
          <tr><td class="field" style="min-width:80px">{{ row.field }}</td><td>{{ row.value }}</td></tr>
          {% endfor -%}
          <tr><td style="min-width:80px" colspan="2"><a target="_blank" href="{{ mutation.source }}">Source</a></td></tr>
        </table>
      </div>
      {% endfor %}
    </div>
    {%- endfor %}
  </body>
</html>